aboutsummaryrefslogtreecommitdiffstats
path: root/main/asterisk/APKBUILD
Commit message (Collapse)AuthorAgeFilesLines
* main/asterisk: security upgrade to 13.17.2Timo Teräs2017-09-251-15/+7
| | | | | | | | fixes #7795 AST-2017-005 (CVE-2017-14099): Media takeover in RTP stack AST-2017-006 (CVE-2017-14100): Shell access command injection in app_minivm AST-2017-008 (CVE-2017-14603): RTP/RTCP information leak
* main/asterisk: security upgrade to 13.7.2Timo Teräs2016-02-151-14/+5
| | | | | | | | | | | | AST-2016-001 TLS defaults to mitigate BEAST AST-2016-002 Fix fd leak with non-default timert1 AST-2016-003 Remote crash in UDPTL This also removes the security patch mechanism, upstream seems to change the format of these patches on every security release so just grab the tarball. (cherry picked from commit 63aa35aa3621f0bd6069622a3823c1d3abd55d0a)
* main/asterisk: upgrade to 13.7.0Timo Teräs2016-02-151-5/+5
| | | | (cherry picked from commit 8ec5e596584ee1fe230ad9d7eb2bb3d039e29ea8)
* main/asterisk: add imap supportNatanael Copa2015-11-191-2/+3
| | | | fixes #4840
* main/asterisk: upgrade to 13.6.0Timo Teräs2015-10-251-4/+4
|
* main/asterisk: upgrade to 13.5.0Timo Teräs2015-08-101-4/+4
|
* main/asterisk: upgrade to 13.4.0Timo Teräs2015-06-091-16/+6
|
* main/*: replace all sbin/runscript with sbin/openrc-runNatanael Copa2015-04-281-4/+4
|
* main/asterisk: fix arm buildTimo Teräs2015-04-151-3/+3
|
* main/asterisk: security upgrade to 13.3.2Timo Teräs2015-04-091-1/+4
| | | | AST-2015-003: TLS Certificate Common name NULL byte exploit
* main/asterisk: upgrade to 13.3.1Timo Teräs2015-04-071-12/+17
| | | | | rebase libcap patch, and add speexdsp-dev dependency due to recent package split.
* main/asterisk: upgrade to 13.2.0Timo Teräs2015-02-071-10/+7
|
* main/asterisk: security upgrade to 13.1.1Timo Teräs2015-01-291-2/+5
| | | | | AST-2015-001: File descriptor leak when incompatible codecs are offered (chan_pjsip) AST-2015-002: Mitigation for libcURL HTTP request injection vulnerability
* main/asterisk: rebuild against mariadbŁukasz Jendrysik2015-01-261-2/+3
|
* main/asterisk: upgrade to 13.1.0Timo Teräs2014-12-251-10/+4
|
* main/asterisk: security upgrade to 13.0.2Timo Teräs2014-12-121-2/+5
| | | | AST-2014-019: Remote Crash Vulnerability in WebSocket Server
* main/asterisk: security upgrade to 13.0.1Timo Teräs2014-11-211-1/+4
| | | | | | | | | | | AST-2014-012: Unauthorized access in the presence of ACLs with mixed IP address families AST-2014-018: Permission Escalation through DB dialplan function AST-2014-017: Permission Escalation via ConfBridge dialplan function and AMI ConfbridgeStartRecord Action AST-2014-013: Unauthorized access in the presence of ACLs in the PJSIP stack AST-2014-015: Remote crash vulnerability in PJSIP channel driver AST-2014-016: Remote crash vulnerability in PJSIP channel driver
* main/asterisk: upgrade to 13.0.0Timo Teräs2014-10-311-16/+16
|
* main/asterisk: upgrade to 12.16.0Timo Teräs2014-09-251-10/+7
| | | | rebase the conference 'deafen' patch
* main/asterisk: security upgrade to 12.5.1Timo Teräs2014-09-191-1/+4
| | | | | | AST-2014-009: Remote crash based on malformed SIP subscription requests AST-2014-010: Remote crash when handling out of call message in certain dialplan configurations
* main/asterisk: upgrade to 12.5.0Timo Teräs2014-08-201-9/+5
|
* main/asterisk: make mp3 addon patch off-treeTimo Teräs2014-08-061-1/+1
|
* main/asterisk: various fixes and clean upsTimo Teräs2014-08-061-22/+16
| | | | | | | | - remove unused uclibc patches - fix libcap with musl - enable iconv as it is built into musl - import mp3 addon as patch instead of svn checkout - update ASTERISK-23818 patch from upstream
* main/asterisk: enable mp3 and cdr_mysqlCarlo Landmeter2014-08-051-3/+13
|
* main/asterisk: rebuild with fixed ldconfigTimo Teräs2014-08-051-2/+2
| | | | and make sure things fail if make install did not work
* main/asterisk: fix pbx_lua symbol exportsTimo Teräs2014-08-051-1/+5
| | | | revert incorrect fix for ASTERISK-23818
* main/asterisk: do not use mutex initializersTimo Teräs2014-08-041-1/+5
| | | | | | ... the default type should not be assumed to be recursive as it's not specified in any spec. And in musl it defaults to non-recursive mutex.
* main/asterisk: enable -dbg subpackageNatanael Copa2014-08-041-2/+2
|
* main/asterisk: fix as-needed introduced underlinkingTimo Teräs2014-07-131-1/+5
| | | | libasteriskssl requires libssl, but only for dynamic symbol lookups.
* main/asterisk: upgrade to 12.4.0Timo Teräs2014-07-111-7/+4
|
* main/asterisk: security upgrade to 12.3.2Timo Teräs2014-06-131-5/+7
| | | | Fixes a major regression in the fix to AST-2014-007
* main/asterisk: security upgrade to 12.3.1Timo Teräs2014-06-131-1/+4
| | | | | | | AST-2014-005: Remote Crash in PJSIP Channel Driver's Pub/Sub Framework AST-2014-006: Permission Escalation via Manager User Unauthorized Shell Access AST-2014-007: DoS via Exhaustion of Allowed Concurrent HTTP Connections AST-2014-008: Denial of Service in PJSIP Channel Driver Subscriptions
* main/asterisk: upgrade to 12.3.0Timo Teräs2014-06-021-5/+5
|
* main/asterisk: build fix. dont run ldconfigNatanael Copa2014-05-131-2/+2
|
* main/asterisk: upgrade to 12.2.0Timo Teräs2014-05-031-14/+7
|
* main/asterisk: security upgrade to 12.1.1Timo Teräs2014-03-111-1/+4
| | | | | | | AST-2014-001, CVE-2014-2286: Stack Overflow in HTTP/Cookie Headers handling AST-2014-002, CVE-2014-2287: DoS FD Exhaustion with chan_sip Session-Timers AST-2014-003, CVE-2014-2288: DoS Vulnerability in PJSIP channel driver AST-2014-004, CVE-2014-2289 was fixed before announcement already in 12.1.0
* main/asterisk: upgrade to 12.1.0Timo Teräs2014-03-041-21/+25
| | | | | ASTERISK-19109, rebased against 12.x (untested) ASTERISK-19499, cherry picked from upstream
* main/asterisk: use menuselect and enable app_meetmeTimo Teräs2014-02-051-4/+10
| | | | | | app_meetme used to be there, but as it's deprecated it is no longer built by default. add it back for the time being, but be prepared for it to be removed in Asterisk 12.
* main/asterisk: use posix syntax for findNatanael Copa2014-01-031-1/+1
| | | | appears that busybox 1.22 requires it
* main/asterisk: fix musl buildTimo Teräs2013-12-181-0/+13
|
* main/asterisk: upgrade to 11.7.0Timo Teräs2013-12-181-7/+4
|
* main/asterisk: security upgrade to 11.6.1Timo Teräs2013-12-171-1/+4
| | | | | AST-2013-006 Buffer Overflow when receiving odd length 16 bit SMS message AST-2013-007 Asterisk Manager User Dialplan Permission Escalation
* main/asterisk: specify licenseFabian Affolter2013-10-311-1/+1
|
* main/asterisk: upgrade to 11.6.0Timo Teräs2013-10-221-12/+5
| | | | remove upstreamed patches
* main/asterisk: cherry-pick fix for ASTERISK-21859Timo Teräs2013-09-251-1/+5
| | | | | Picked from 11-stable branch, and is already in 11.6.0-rc1. But I need it early for testing.
* main/asterisk: use /sbin/nologin as shellNatanael Copa2013-09-041-1/+1
|
* main/asterisk: use /sbin/nologin as shellNatanael Copa2013-09-031-1/+1
|
* main/asterisk: security upgrade to 11.5.1Timo Teräs2013-08-281-2/+5
| | | | | AST-2013-004: Remote Crash From Late Arriving SIP ACK With SDP AST-2013-005: Remote Crash when Invalid SDP is sent in SIP Request
* [all autotools packages]: normalize ./configureTimo Teräs2013-07-301-5/+16
|
* main/asterisk: build rtp againNatanael Copa2013-07-251-3/+3
| | | | it needs uuid from util-linux